# if $PGDATA doesn't exists, this is the first run
if [ ! -s "$PGDATA/postgresql.conf" ]; then
	# Init a new postgres cluster.
	/usr/lib/postgresql/9.4/bin/initdb -D $PGDATA --encoding=UTF8

	echo "log_min_duration_statement = 0" >> $PGDATA/postgresql.conf

	/usr/lib/postgresql/9.4/bin/pg_ctl start -w -D $PGDATA
	sleep 1  # The -w above doesn't wait long enough?

	psql postgres -E <<EOF
BEGIN;
CREATE TABLE test (id serial primary key);
select relname, relfilenode from pg_class where relname like 'test%';
truncate table test;
select relname, relfilenode from pg_class where relname like 'test%';
COMMIT;
EOF

	sleep 5
else
# Second run, execute test query
	/usr/lib/postgresql/9.4/bin/pg_ctl start -w -D $PGDATA
	sleep 1

	psql postgres -E <<EOF
select relname, relfilenode from pg_class where relname like 'test%';
select * from test;
EOF
fi
